List cloud volumes
A GET request to the /v1/cloud_block_storage/volumes will list volumes. You can adjust the output using the query parameters described below.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
region_id? | integerA unique identifier of the volume's cloud region. You can find each ID by performing an API request described in the Cloud Region section. Only volumes of the chosen region will be displayed in the output. |
instance_id? | stringA unique identifier of a cloud instance. All IDs can be listed in the Cloud Instance section. If this parameter is filled in, volumes attached to the chosen instance will be shown. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
curl -X GET "https://example.com/v1/cloud_block_storage/volumes?instance_id=MYerEdOB"[ { "id": "YQdJ2dOG", "openstack_uuid": "4c148678-d4ca-4580-866e-e364956f2648", "region_id": 0, "region_code": "NL01", "name": "name139", "size": 1, "status": "available", "created_at": "2024-10-17T10:00:00Z", "bootable": false, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "attachments": [ { "instance_id": "MYerEdOB", "instance_name": "name138", "device": "/dev/vda", "id": "fffaaa" } ], "description": null }]